<nav aria-label="breadcrumb">
  <ol class="breadcrumb">
    <li class="breadcrumb-item active" aria-current="page">Dashboard</li>
  </ol>
</nav>

<div class="container">

  <div class="row mt-5">
    <div class="col-12">
      <h3>Overview</h3>
    </div>
  </div>
  <div class="row">
    <div class="col-md-6 mb-3 animated fadeInRight">
      <div class="card">
        <div class="card-header">
          Litres per Country
        </div>
        <div class="card-body chart p-0">
          <ngx-charts-pie-chart
            [scheme]="pie.colorScheme"
            [results]="chartDonut"
            [legend]="pie.showLegend"
            [explodeSlices]="pie.explodeSlices"
            [labels]="pie.showLabels"
            [doughnut]="pie.doughnut"
            [gradient]="pie.gradient"
            [arcWidth]="0.5">
          </ngx-charts-pie-chart>
        </div>
      </div>
    </div>
    <div class="col-md-6 mb-3 animated fadeInLeft">
      <div class="card">
        <div class="card-header">
          Visit per Country
        </div>
        <div class="card-body chart p-0">
          <ngx-charts-bar-vertical
            [results]="chartBar"
            [gradient]="bar.gradient"
            [xAxis]="bar.showXAxis"
            [yAxis]="bar.showYAxis"
            [legend]="bar.showLegend"
            [showXAxisLabel]="bar.showXAxisLabel"
            [showYAxisLabel]="bar.showYAxisLabel"
            [xAxisLabel]="bar.xAxisLabel"
            [yAxisLabel]="bar.yAxisLabel">
          </ngx-charts-bar-vertical>
        </div>
      </div>
    </div>
  </div>

  <div class="row mt-5">
    <div class="col-12">
      <h3>User List</h3>
    </div>
  </div>
  <div class="row">
    <div class="col-12">
      <p *ngIf="users.length == 0">No Data for User List</p>
      <div class="table-responsive" *ngIf="users.length > 0">
        <table class="table table-bordered">
          <thead class="thead-dark">
            <tr>
              <th scope="col">#</th>
              <th scope="col">First Name</th>
              <th scope="col">Last Name</th>
              <th scope="col">User Name</th>
            </tr>
          </thead>
          <tbody>
            <tr *ngFor="let user of users; let i = index">
              <th scope="row">{{i+1}}</th>
              <td>{{user.firstname}}</td>
              <td>{{user.lastname}}</td>
              <td>{{user.username}}</td>
            </tr>
          </tbody>
        </table>
      </div>
    </div>
  </div>

</div>